/* -*-Mode: C++;-*-
 * $Id: dstring.cc 1.2.1.3.1.1 Fri, 09 Aug 1996 20:16:52 -0700 jmacd $
 * Dstring.cc:
 *
 * Copyright (C) 1996, Regents of the University of California.
 * All Rights Reserved.
 *
 * This file is part of PRCS, the Project Revision Control System.
 *
 * Author: Josh MacDonald <jmacd@CS.Berkeley.EDU>
 */


#include "dstring.h"
#include <std.h>
#include <stdarg.h>

#ifdef __GNUG__
#include <strstream.h>
static ostrstream sprintfbuf;
#endif

#include "utils.h"

#define member Dstring::


ostream& operator<<(ostream& os, const Dstring* S)
{
    S->writeme(os);
    return os;
}

ostream& operator<<(ostream& os, const Dstring& S)
{
    S.writeme(os);
    return os;
}

void member writeme(ostream& os) const
{
    os << vec;
}

Dstring& member sprintfa(const char* fmt, ...)
{
    va_list args;

    va_start(args, fmt);

#ifdef __GNUG__
    sprintfbuf.freeze(0);
    sprintfbuf.rdbuf()->seekoff(0, ios::beg);

    sprintfbuf.vform(fmt, args);

    sprintfbuf << ends;

    append(sprintfbuf.str());
#else
#error not implemented
#endif

    va_end(args);

    return *this;
}

Dstring& member sprintf(const char* fmt, ...)
{
    va_list args;

    va_start(args, fmt);

    truncate(0);

#ifdef __GNUG__
    sprintfbuf.freeze(0);
    sprintfbuf.rdbuf()->seekoff(0, ios::beg);

    sprintfbuf.vform(fmt, args);

    sprintfbuf << ends;

    append(sprintfbuf.str());
#else
#error not implemented
#endif

    va_end(args);

    return *this;
}
