/* -*-Mode: C++;-*-
 * $Id: checkout.h 1.5.1.5 Mon, 02 Sep 1996 16:59:57 -0700 jmacd $
 * checkout.h:
 *
 * Copyright (C) 1996, Regents of the University of California.
 * All Rights Reserved.
 *
 * This file is part of PRCS, the Project Revision Control System.
 *
 * Author: Josh MacDonald <jmacd@CS.Berkeley.EDU>
 */


#ifndef _CHECKOUT_H_
#define _CHECKOUT_H_

extern void make_keyword_pair_list(FileEntry*, ProjectDescriptor*);

extern PrVoidError make_subdirectories(const char*);

extern PrProjectVersionDataPtrError resolve_version(const char* version_specifier_major,
						    const char* version_specifier_minor,
						    const char* project_full_name,
						    const char* project_file_path,
						    ProjectDescriptor* project, /* or null */
						    RepEntry* rep_entry);

extern PrProjectDescriptorPtrError checkout_empty_prj_file(const char* fullname,
							   const char* maj);

extern PrProjectDescriptorPtrError checkout_create_empty_prj_file(const char* fullname,
								  const char* name,
								  const char* maj) ;

class WriteableFile {
public:
    WriteableFile() :real_name(NULL) { }

    PrVoidError open(const char* filename);

    PrVoidError write(const char* seg, int len);

    PrVoidError copy(FILE* copy_me);

    PrVoidError copy(const char* copy_me);

    PrVoidError close();

    ostream& stream() { return os; }

private:
    ofstream os;

    const char* real_name;
    Dstring temp_name;
};

#endif
