/* -*-Mode: C++;-*-
 * $Id: dstring.h 1.3.1.2.1.3 Mon, 15 Jul 1996 18:06:01 -0700 jmacd $
 * Dstring.h:
 *
 * Copyright (C) 1996, Regents of the University of California.
 * All Rights Reserved.
 *
 * This file is part of PRCS, the Project Revision Control System.
 *
 * Author: Josh MacDonald <jmacd@CS.Berkeley.EDU>
 */


#ifndef _DSTRING_H_
#define _DSTRING_H_

#include <iostream.h>

class Dstring;

#define DSTRING_DEFAULT_SIZE 32

#include "dynarray.h"

#define parenttype Dynarray<char, DSTRING_DEFAULT_SIZE, true>

class Dstring : public parenttype {
public:
    Dstring() :parenttype() {}
    Dstring(const char c, int N = 1) :parenttype(c, N) {}
    Dstring(const char* str) :parenttype(str) {}
    Dstring(const Dstring& str) :parenttype(str) {}

    void writeme(ostream&) const;
    Dstring& sprintf(const char*, ...);
    Dstring& sprintfa(const char*, ...);
};

#undef parenttype

ostream& operator<<(ostream&, const Dstring*);
ostream& operator<<(ostream&, const Dstring&);

#endif
