/* -*-Mode: C++;-*-
 * $Id: quick.h 1.3 Sun, 14 Jul 1996 23:22:22 -0700 jmacd $
 * quick.h:
 *
 * Copyright (C) 1996, Regents of the University of California.
 * All Rights Reserved.
 *
 * This file is part of PRCS, the Project Revision Control System.
 *
 * Author: Josh MacDonald <jmacd@CS.Berkeley.EDU>
 */


#ifndef _QUICK_H_
#define _QUICK_H_

NprQuickElimPtrError read_quick_elim(const char* filename);

#include "sexp.h"
#include "hash.h"

class QuickElim {
public:
    QuickElim()
	:quick_sexps(NULL),
	 new_sexps(new_empty_list()),
	 first_entry(NULL),
	 quick_table(new SexpTable) { }

    friend NprQuickElimPtrError read_quick_elim(const char* filename);

    bool unchanged(FileEntry* fe);

    void update(FileEntry* fe);

    PrVoidError update_file(const char* filename);

private:

    NprVoidError init_from_file(const char* filename);

    Sexp* quick_sexps;
    Sexp* new_sexps;
    Sexp* first_entry;

    SexpTable* quick_table;
};

#endif
