/* -*-Mode: C++;-*-
 * $Id: system.h 1.9 Fri, 16 Aug 1996 01:24:25 -0700 jmacd $
 * system.h:
 *
 * Copyright (C) 1996, Regents of the University of California.
 * All Rights Reserved.
 *
 * This file is part of PRCS, the Project Revision Control System.
 *
 * Author: Josh MacDonald <jmacd@CS.Berkeley.EDU>
 */


#ifndef _SYSTEM_H_
#define _SYSTEM_H_

NprVoidError Err_chdir(const char* file);
NprVoidError Err_unlink(const char* file);
NprVoidError Err_rmdir(const char* file);
NprVoidError Err_truncate(const char* file, int length);
NprVoidError Err_lstat(const char* file, struct stat *buf);
NprVoidError Err_stat(const char* file, struct stat *buf);
NprVoidError Err_fstat(int fd, struct stat *buf);
NprVoidError Err_fwrite(const void*, int, int, FILE*);
NprVoidError Err_fclose(FILE*);
NprVoidError Err_mkdir(const char*, mode_t mode);
NprVoidError Err_creat(const char*, mode_t mode);
NprVoidError Err_close(int fd);
NprVoidError Err_rename(const char* file, const char* file2);
NprVoidError Err_chmod(const char* file, mode_t mode);
NprVoidError Err_symlink(const char* linkname, const char* file);
NprVoidError Err_write(int fd, const void* buf, size_t nbytes);
NprVoidError Err_read_expect(int fd, void* buf, size_t nbytes);

NprIntError Err_fgetc(FILE*);
NprCFilePtrError Err_fopen(const char* file, const char* type);
NprBoolError Err_access(const char* file, int mode);
NprIntError Err_waitpid(int pid);
NprIntError Err_waitpid_nostart(int pid);
NprIntError Err_readlink(const char* file, char* buf, int length);
NprIntError Err_read(int fd, void* buf, size_t nbytes);
NprIntError Err_open(const char* file, int flags, mode_t mode = 0);

#endif
